 var dateHelper = {
	'timestamp': function(d) { //Unix时间戳，精确到秒
		if (d) {
			var date = new Date(d);
		} else {
			var date = new Date();
		}
		var timestamp = Date.parse(date) / 1000;
		return timestamp;
	},
	'time': function(str) { 
		//参数可以是 now,yesterday,tomorrow,before,after 分别是现在时间，昨天此时，明天此时,10分钟前，1分钟后
		//differ 是当前时间距离下一个整点间隔的秒数
		var dd = new Date();
		if (str == 'yesterday') {
			dd.setDate(dd.getDate() - 1);
		} else if (str == 'tomorrow') {
			dd.setDate(dd.getDate() + 1);
		} else if (str == 'before') {
			var t = dd.getTime();
			t -= 30 * 1000;
			dd = new Date(t);
		} else if (str == 'after') {
			var t = dd.getTime();
			t += 30 * 1000;
			dd = new Date(t);
		} else if (str == 'twoday') {
			dd.setDate(dd.getDate() - 2);
		} 

		var year = dd.getFullYear();
		var month = dd.getMonth() + 1;
		var day = dd.getDate();
		var hour = dd.getHours();
		var minute = dd.getMinutes(); //获取当前分钟数(0-59)
		var sec = dd.getSeconds(); //获取当前秒数(0-59)

		if (month < 10) {
			month = '0' + month;
		}
		if (day < 10) {
			day = '0' + day;
		}
		if (hour < 10) {
			hour = '0' + hour;
		}
		if (minute < 10) {
			minute = '0' + minute;
		}
		if (sec < 10) {
			sec = '0' + sec;
		}
		if (str == 'nowhour') { //当前整点
			minute = '00';
			sec = '00';
		}
		if (str == 'tonowhours') { //当前整点
			minute = '00';
			sec = '00';
			return hour;
		}
		if(str=='differ'){
			minute=(59-minute)*60;
			sec=minute+(60-sec);
			return sec;
		}
		if(str=='daysec'){
			hour=24-hour;
			minute=60-minute;
			sec=60-sec;
			sec=hour*3600+minute*60+sec;
			return sec;
		}
		return year + '-' + month + '-' + day + ' ' + hour + ':' + minute + ':' + sec;
	},
	'format_date': function(tm) {
		//return new Date(parseInt(tm) * 1000).toLocaleString().replace(/:\d{1,2}$/,' ');
		var dd = new Date(parseInt(tm) * 1000);
		var year = dd.getFullYear();
		var month = dd.getMonth() + 1;
		var day = dd.getDate();
		var hour = dd.getHours();
		var minute = dd.getMinutes();
		var sec = dd.getSeconds();

		if (month < 10) {
			month = '0' + month;
		}
		if (day < 10) {
			day = '0' + day;
		}
		if (hour < 10) {
			hour = '0' + hour;
		}
		if (minute < 10) {
			minute = '0' + minute;
		}
		if (sec < 10) {
			sec = '0' + sec;
		}
		return month + "-" + day + "   " + hour + ":" + minute;
	},
	'date': function(str) { 
		//参数可以是today,yesterday,tomorrow
		var dd = new Date();
		if (str == 'yesterday') {
			dd.setDate(dd.getDate() - 2); //2天前数据
		} else if (str == 'tomorrow') {
			dd.setDate(dd.getDate() + 1);
		} else if (typeof(str) == 'number') {
			dd = new Date(str);
		}

		var year = dd.getFullYear();
		var month = dd.getMonth() + 1;
		var day = dd.getDate();

		if (month < 10) {
			month = '0' + month;
		}
		if (day < 10) {
			day = '0' + day;
		}

		return year + '-' + month + '-' + day;
	},
	'format': function(format, time) {
		if (time) {
			var d = new Date(time);
		} else {
			var d = new Date();
		}
		var o = {
			"M+": d.getMonth() + 1,
			//month
			"d+": d.getDate(),
			//day
			"h+": d.getHours(),
			//hour
			"m+": d.getMinutes(),
			//minute
			"s+": d.getSeconds(),
			//second
			"q+": Math.floor((d.getMonth() + 3) / 3),
			"S": d.getMilliseconds() //millisecond
		}

		if (/(y+)/.test(format)) {
			format = format.replace(RegExp.$1, (d.getFullYear() + "").substr(4 - RegExp.$1.length));
		}

		for (var k in o) {
			if (new RegExp("(" + k + ")").test(format)) {
				format = format.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ("00" + o[k]).substr(("" + o[k]).length));
			}
		}
		return format;
	},
	'friendDisplay': function(second) {
		var t = Math.abs(second);
		var str = '';
		if (t < 60) {
			str += t + '秒';
		} else if (t < 3600) {
			str += Math.floor(t / 60) + '分';
		} else if (t < 86400) {
			str += Math.floor(t / 3600) + '小时';
		} else {
			str += Math.floor(t / 86400) + '天';
		}
		return str;
	},
	'tmminute': function(tm) {
		if (tm) {
			var dd = new Date(tm);
		} else {
			var dd = new Date();
		}

		var hour = dd.getHours();
		var minute = dd.getMinutes();
		var sec = dd.getSeconds();

		if (hour < 10) {
			hour = '0' + hour;
		}
		if (minute < 10) {
			minute = '0' + minute;
		}
		if (sec < 10) {
			sec = '0' + sec;
		}
		return hour + ":" + minute;
	}
}

